Last Comment Bug 787673 - "Create Table from Selection" and "Find and Replace" no longer works in Composer and Thunderbird and other issues with deleteSelection
: "Create Table from Selection" and "Find and Replace" no longer works in Compo...
Status: VERIFIED FIXED
[GS]
: regression
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: Trunk
: All All
: -- major (vote)
: Thunderbird 18.0
Assigned To: Ian Neal
:
:
Mentors:
https://getsatisfaction.com/mozilla_m...
: 787724 787878 788018 789688 (view as bug list)
Depends on: 590640
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 07:52 PDT by John Roenigk
Modified: 2012-09-26 01:56 PDT (History)
11 users (show)
iann_bugzilla: in‑qa‑testsuite-
iann_bugzilla: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
+
fixed
fixed
fixed
fixed
fixed
fixed


Attachments
Add extra argument to deleteSelection calls [Checked in: Comment 9] (3.96 KB, patch)
2012-09-01 17:03 PDT, Ian Neal
neil: review+
Details | Diff | Splinter Review
With eNone and eStrip [Checked in: trunk Comment 9 and c-a/c-b/c-r Comment 15] (4.05 KB, patch)
2012-09-02 14:33 PDT, Ian Neal
iann_bugzilla: review+
Details | Diff | Splinter Review

Description John Roenigk 2012-09-01 07:52:05 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20120826 Firefox/15.0 SeaMonkey/2.12
Build ID: 20120826214753

Steps to reproduce:

Selected a block of comma separated data from a csv file (as I have always done before v 2.12) and selected "Create Table from Selection".


Actual results:

Nothing.


Expected results:

It should have created a table
Comment 1 Phoenix 2012-09-01 12:38:06 PDT
Confirming regression, working in
Build identifier: Mozilla/5.0 (Windows NT 5.2; rv:14.0) Gecko/20120715 Firefox/14.0.1 SeaMonkey/2.11
Broken on
User agent: Mozilla/5.0 (Windows NT 5.2; rv:15.0) Gecko/20120826 Firefox/15.0 SeaMonkey/2.12
Build identifier: 20120826214753
and trunk.
Can you test builds starting from http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/2012/04/2012-04-25-00-30-46-comm-central-trunk/ from comm-central-trunk subfolders to determine, when the feature was broken? Just download seamonkey-2.12a1.en-US.win32.zip file, unpack it to separate folder and run from there
Comment 2 Ian Neal 2012-09-01 14:46:54 PDT
2012-05-18-00-30-26-comm-central-trunk works
2012-05-20-00-30-31-comm-central-trunk fails
There was no build for 2012-05-19
Comment 4 Ian Neal 2012-09-01 14:52:41 PDT
cc'ing likely owner of suspect patches
Comment 5 Ian Neal 2012-09-01 15:26:48 PDT
Looks like it was:
http://hg.mozilla.org/mozilla-central/rev/62ffb052629d
Bug 590640 part 5 - Delete empty wrappers when we delete the selection
Looks like there are 5 locations that need to be fixed:
http://mxr.mozilla.org/comm-central/ident?i=deleteSelection&tree=comm-central&filter=ui
Comment 6 Ian Neal 2012-09-01 15:59:30 PDT
Fix required in Composer code (also shared with TB).
Comment 7 Ian Neal 2012-09-01 17:03:56 PDT
Created attachment 657616 [details] [diff] [review]
Add extra argument to deleteSelection calls [Checked in: Comment 9]

This patch adds the missing argument to the calls to deleteSelected on an editor. Used 0 / eStrip throughout.
Comment 8 neil@parkwaycc.co.uk 2012-09-02 03:20:58 PDT
Comment on attachment 657616 [details] [diff] [review]
Add extra argument to deleteSelection calls [Checked in: Comment 9]

Eww, so this affects HTML source and find and replace (when the replacement is empty) too :-(

Using editor/gEditor.eNone/eStrip might work, it would make the code a little more obvious.
Comment 9 Ian Neal 2012-09-02 14:26:05 PDT
Comment on attachment 657616 [details] [diff] [review]
Add extra argument to deleteSelection calls [Checked in: Comment 9]

Checked in with gEditor/editor.eNone/eStrip
http://hg.mozilla.org/comm-central/rev/1a52a6d4ea17
Comment 10 Ian Neal 2012-09-02 14:33:29 PDT
Created attachment 657712 [details] [diff] [review]
With eNone and eStrip [Checked in: trunk Comment 9 and c-a/c-b/c-r Comment 15]
Comment 11 Ian Neal 2012-09-02 14:35:49 PDT
Comment on attachment 657712 [details] [diff] [review]
With eNone and eStrip [Checked in: trunk Comment 9 and c-a/c-b/c-r Comment 15]

[Approval Request Comment]
Regression caused by (bug #): Bug 590640
User impact if declined: Unable to use "Create Table from Selection" in message composition (for both SM and TB) and composer and find/replace with empty replacement string in composer.
Testing completed (on m-c, etc.): on c-c and locally
Risk to taking this patch (and alternatives if risky): None that I am aware of
String changes made by this patch: None
Comment 12 Philip Chee 2012-09-02 23:11:00 PDT
Comment on attachment 657712 [details] [diff] [review]
With eNone and eStrip [Checked in: trunk Comment 9 and c-a/c-b/c-r Comment 15]

a=me
Comment 13 Vincent (caméléon) 2012-09-03 00:49:10 PDT
Could you confirm if this fix could also solve Bug 787724 ? Is it possible to test it?
Comment 14 Joe Sabash [:JoeS1] 2012-09-03 09:10:18 PDT
verified fixed using comma separated strings in:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Thunderbird/18.0a1 ID:20120903030554
Comment 16 Ian Neal 2012-09-03 12:11:00 PDT
*** Bug 787724 has been marked as a duplicate of this bug. ***
Comment 17 Mark Banner (:standard8, limited time in Dec) 2012-09-03 13:05:55 PDT
As this affects Thunderbird as well, this should really have gone into a MailNews component so that both apps where aware and can track.
Comment 18 Ian Neal 2012-09-03 15:13:42 PDT
*** Bug 788018 has been marked as a duplicate of this bug. ***
Comment 19 Phoenix 2012-09-04 07:18:31 PDT
*** Bug 787878 has been marked as a duplicate of this bug. ***
Comment 20 Mark Banner (:standard8, limited time in Dec) 2012-09-08 06:15:06 PDT
*** Bug 789688 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.